Bug 643 - /etc/rc.d/init.d/squid breaks with multiple CACHE_DIR tags
/etc/rc.d/init.d/squid breaks with multiple CACHE_DIR tags
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: squid (Show other bugs)
5.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1998-12-28 23:52 EST by Adam Thompson
Modified: 2011-01-26 10:55 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1998-12-29 10:35:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Thompson 1998-12-28 23:52:07 EST
If multiple "cache_dir" tags are present in
/etc/squid.conf, the init script used to control squid
(/etc/rc.d/init.d/squid) breaks down due to the binary test
of $CACHE_DIR.  This assumes one cache_dir only.

In fact, this test needs to be a for... loop over all the
values of CACHE_DIR, and run the "init_cache_dir" mode if
*any* of them are invalid.
Comment 1 Aleksey Nogin 1998-12-29 00:49:59 EST
Try using my squid-rhcn RPM from
http://developer.redhat.com/rhcn/browse/rpm2html/Networking_Daemons.html
(They are _not_ produced by RedHat)
Comment 2 Bill Nottingham 1998-12-29 10:35:59 EST
fixed in the next squid release (2.1.PATCH2-2...)

Note You need to log in before you can comment on or make changes to this bug.